export interface IPort {
    open(callback: (err: Error | null) => void): void;
    close(): void;
    write(data: Uint8Array, encoding: string, callback: (err: Error) => void): void;
    addListener(event: 'data', listener: (data: Uint8Array) => void): this;
    addListener(event: 'connected', listener: () => void): this;
    addListener(event: 'disconnected', listener: () => void): this;
    addListener(event: 'error', listener: (err: Error) => void): this;
    addListener(event: 'debug', listener: (...args: any[]) => void): this;
}
