import { TypedEmitter } from "tiny-typed-emitter";
import { IPort } from "./port";
export interface TCPClientPortSettings {
    type: 'tcp-client';
    host: string;
    port: number;
}
export interface TCPClientEvents {
    data: (data: Uint8Array) => void;
    connected: () => void;
    disconnected: () => void;
    error: (err: Error) => void;
    debug: (...args: any[]) => void;
}
export declare class TCPClient extends TypedEmitter<TCPClientEvents> implements IPort {
    private client?;
    private settings;
    private connected;
    private shouldReconnect;
    constructor(settings: TCPClientPortSettings);
    open(callback: (err: Error | null) => void): void;
    private connectionClosed;
    close(): void;
    write(data: Uint8Array, encoding: 'binary', callback: (err: Error) => void): void;
}
