import { IPort } from './port';
import { TypedEmitter } from 'tiny-typed-emitter';
export interface TCPServerPortSettings {
    type: 'tcp-server';
    port: number;
}
export interface TCPServerEvents {
    data: (data: Uint8Array) => void;
    connected: () => void;
    disconnected: () => void;
}
export declare class TCPServer extends TypedEmitter<TCPServerEvents> implements IPort {
    private server;
    private clients;
    private settings;
    constructor(settings: TCPServerPortSettings);
    open(callback: (err: Error | null) => void): void;
    close(): void;
    write(data: Uint8Array, encoding: 'binary', callback: (err: Error) => void): void;
}
